Package org.springframework.batch.core.configuration.annotation

# Class ModularBatchConfiguration

java.lang.Object
org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration
org.springframework.batch.core.configuration.annotation.ModularBatchConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.annotation.ImportAware`

@Configuration(proxyBeanMethods=false) public class ModularBatchConfiguration extends AbstractBatchConfiguration
Base `Configuration` class providing common structure for enabling and using Spring Batch. Customization is available by implementing the `BatchConfigurer` interface.

Since:
  2.2
Author:
  Dave Syer, Mahmoud Ben Hassine
See Also:
  - `EnableBatchProcessing`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModularBatchConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JobExplorer`
  `jobExplorer()`
  `JobLauncher`
  `jobLauncher()`
  `AutomaticJobRegistrar`
  `jobRegistrar()`
  `JobRepository`
  `jobRepository()`
  `org.springframework.transaction.PlatformTransactionManager`
  `transactionManager()`

  ### Methods inherited from class org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration

  `afterPropertiesSet, getConfigurer, jobBuilders, jobRegistry, setImportMetadata, stepBuilders`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModularBatchConfiguration

    public ModularBatchConfiguration()

- ## Method Details

  - ### jobRepository

    @Bean public JobRepository jobRepository() throws Exception
    Specified by:
      `jobRepository` in class `AbstractBatchConfiguration`
    Throws:
      `Exception`

  - ### jobLauncher

    @Bean public JobLauncher jobLauncher() throws Exception
    Specified by:
      `jobLauncher` in class `AbstractBatchConfiguration`
    Throws:
      `Exception`

  - ### transactionManager

    public org.springframework.transaction.PlatformTransactionManager transactionManager() throws Exception
    Specified by:
      `transactionManager` in class `AbstractBatchConfiguration`
    Throws:
      `Exception`

  - ### jobExplorer

    @Bean public JobExplorer jobExplorer() throws Exception
    Specified by:
      `jobExplorer` in class `AbstractBatchConfiguration`
    Throws:
      `Exception`

  - ### jobRegistrar

    @Bean public AutomaticJobRegistrar jobRegistrar() throws Exception
    Throws:
      `Exception`